catalog:
  title: ROS Gandalf

templates:
- github
- cmake-catkin
- base

variables:
  description: >-
    The Gandalf detector (LOL) is an open source C++ ROS package for
    object detection based on generic-distance invariant range scan
    features.
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: CentralLabFacilities
  github.project: gandalf_detector

  branches:
  - master

  extra-provides:
  - nature: catkin
    target: ros-gandalf

  platform-requires:
    ubuntu:
      packages:
      - cmake
      - libboost-all-dev
      - libopencv-ml2.4v5
      - libopencv-core-dev

  cmake.build-type: Release
  cmake.options:
  - '@{next-value|[]}'
